package com.qmth.eds.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.eds.common.entity.ExamSyncStudent;
import com.qmth.eds.common.entity.ExamSyncTotal;

import java.util.List;
import java.util.Set;

/**
 * 考试类型表 服务类
 */
public interface ExamSyncStudentService extends IService<ExamSyncStudent> {

    List<ExamSyncStudent> listByExamSyncTotalId(ExamSyncTotal examSyncTotal);

    /**
     * 根据机构id、考试id、科目代码查询考查学院
     *
     * @param semesterId
     * @param examTypeId
     * @param cloudMarkSubjectCodeList
     * @param kkCollegeName
     * @param kcCollegeName
     * @param clazzId
     * @return
     */
    List<ExamSyncStudent> queryByExamineCollegeList(Long semesterId, Long examTypeId, List<String> cloudMarkSubjectCodeList, String kkCollegeName, String kcCollegeName, String clazzId);
}
